package cn.cslg.report.service.business;

import cn.cslg.report.entity.AssoComapareFiel;
import cn.cslg.report.mapper.AssoComapareFielMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.List;

@Service
public class AssoComapareFielService extends ServiceImpl<AssoComapareFielMapper, AssoComapareFiel> {
    public void add(AssoComapareFiel comapareFiel) throws IOException{
        comapareFiel.insert();

    }
    public void   updateAssoComapareFiel(AssoComapareFiel assoComapareFiel)throws  IOException{
        assoComapareFiel.updateById();
    }
    public List<AssoComapareFiel>  select(int id)throws  IOException{
        LambdaQueryWrapper<AssoComapareFiel> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(AssoComapareFiel::getCompareFileID,id);
        List<AssoComapareFiel> list = this.list();
        return list;

    }





}
